summaryrefslogtreecommitdiffstats
path: root/usr/local/sbin
diff options
context:
space:
mode:
authorScott Ullrich <sullrich@pfsense.org>2008-11-09 02:50:55 +0000
committerScott Ullrich <sullrich@pfsense.org>2008-11-09 02:50:55 +0000
commit3fb60b53b47bd0346e3ceee4cfd63f3242670cd4 (patch)
tree24e681acf485b98fde9ab35af46df151d5fad4ae /usr/local/sbin
parent1f03d30ce824e6023426e75b7fa01096410e274d (diff)
downloadpfsense-3fb60b53b47bd0346e3ceee4cfd63f3242670cd4.zip
pfsense-3fb60b53b47bd0346e3ceee4cfd63f3242670cd4.tar.gz
Add script that will keep trying to set the date time (for bootup) that
will run in the background to help speedup boot times.
Diffstat (limited to 'usr/local/sbin')
-rwxr-xr-xusr/local/sbin/ntpdate_sync_once.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/usr/local/sbin/ntpdate_sync_once.sh b/usr/local/sbin/ntpdate_sync_once.sh
new file mode 100755
index 0000000..a7f98a3
--- /dev/null
+++ b/usr/local/sbin/ntpdate_sync_once.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+NOTSYNCED="true"
+
+while [ "$NOTSYNCED" = "true" ]; do
+ ntpdate "0.pfsense.pool.ntp.org"
+ if [ "$?" = "0" ]; then
+ NOTSYNCED="false"
+ fi
+done
OpenPOWER on IntegriCloud